Skip to content

Get Import Custom Object Status

GET /bulk/v1/customobjects/{apiName}/import/{batchId}/status.json

Permissions Read-Write Custom Object

Build a request and mock the response

Method: GET
Path: /bulk/v1/customobjects/{apiName}/import/{batchId}/status.json
Tag: Bulk Import Custom Objects
Operation ID: getImportCustomObjectStatusUsingGET

Returns the status of an import batch job. Required Permissions: Read-Write Custom Object

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
apiName string Yes API Name of the custom object for the import batch job.
batchId integer (int32) Yes Id of the import batch job.

Example request

GET {{base_url}}/bulk/v1/customobjects/{{apiName}}/import/{{batchId}}/status.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfImportCustomObjectResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "batchId": 123,
      "importTime": "string",
      "message": "string",
      "numOfObjectsProcessed": 123,
      "numOfRowsFailed": 123,
      "numOfRowsWithWarning": 123,
      "objectApiName": "Example name",
      "operation": "string",
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.